Alan,

I haven't tried to build 1.4.x on os x 10.6.x yet, but it sounds like the configure script has become too clever by half. Is there a configure argument to force no xgrid (e.g., --with-xgrid=no or --enable-xgrid=no).

Doug Reeder
On Apr 30, 2010, at 3:12 PM, Alan wrote:

Hi guys, thanks,

Well, I can assure there I have the right things as explained here:

ompi 1.2.8 (apple)
/usr/bin/ompi_info | grep xgrid
                 MCA ras: xgrid (MCA v1.0, API v1.3, Component v1.2.8)
                 MCA pls: xgrid (MCA v1.0, API v1.3, Component v1.2.8)

ompi 1.3.3 (Fink)
/sw/bin/ompi_info | grep xgrid
"nothing"

ompi 1.4.1 (mine, for Amber11)
/Users/alan/Programmes/amber11/exe/ompi_info | grep xgrid
                  MCA plm: xgrid (MCA v2.0, API v2.0, Component v1.4.1)

So, my problem is "simple", the formula I used to compile ompi without xgrid used to work, but it's simply not working anymore with ompi 1.4.1, even though I see in compilation:

--- MCA component plm:xgrid (m4 configuration macro)
checking for MCA component plm:xgrid compile mode... static
checking if C and Objective C are link compatible... yes
checking for XgridFoundation Framework... yes
configure: WARNING: XGrid components must be built as DSOs.  Disabling
checking if MCA component plm:xgrid can compile... no

Any help helps.

Thanks,

Alan

On Fri, Apr 30, 2010 at 20:32, Cristobal Navarro <axischire@gmail.com> wrote:
try launching mpirun -v a see what version is picking up.
maybe its the included 1.2.x


Cristobal





On Fri, Apr 30, 2010 at 3:22 PM, Doug Reeder <dlr1@cox.net> wrote:
Alan,

Are you sure that the ompi_info and mpirun that you are using are the 1.4.1 versions and not the apple supplied versions. I use modules to help ensure that I am using the openmpi that I built and not the apple supplied versions.

Doug Reeder
On Apr 30, 2010, at 12:14 PM, Alan wrote:

Hi there,

No matter I do I cannot disable xgrid while compiling opempi. I tried:

--without-xgrid --enable-shared --enable-static

And still see with ompi_info:

 MCA plm: xgrid (MCA v2.0, API v2.0, Component v1.4.1)

And because of xgrid on ompi, I have:

openmpi-1.4.1/examples% mpirun -c 2 hello_c
[amadeus.local:26559] [[63998,0],0] ORTE_ERROR_LOG: Unknown error: 1 in file src/plm_xgrid_module.m at line 119
[amadeus.local:26559] [[63998,0],0] ORTE_ERROR_LOG: Unknown error: 1 in file src/plm_xgrid_module.m at line 15

Using mac SL 10.6.3

Compiling 1.3.3 and haven't any problem.

Thanks in advance,

Alan

--
Alan Wilter S. da Silva, D.Sc. - CCPN Research Associate
Department of Biochemistry, University of Cambridge.
80 Tennis Court Road, Cambridge CB2 1GA, UK.
>>http://www.bio.cam.ac.uk/~awd28<<
_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users


_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users


_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users



--
Alan Wilter S. da Silva, D.Sc. - CCPN Research Associate
Department of Biochemistry, University of Cambridge.
80 Tennis Court Road, Cambridge CB2 1GA, UK.
>>http://www.bio.cam.ac.uk/~awd28<<
_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users